From patchwork Fri Nov 30 14:45:25 2012
Content-Type: text/plain; charset="utf-8"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Subject: dm block manager: reinstate context for which block failed a
	validator check
Date: Fri, 30 Nov 2012 19:45:25 -0000
From: Mike Snitzer <snitzer@redhat.com>
X-Patchwork-Id: 55685
Message-id: <1354286727-31933-1-git-send-email-snitzer@redhat.com>

This was mistakenly eliminated when the block manager was converted to
use dm-bufio.  Restore it because it is useful if/when the validator
check fails.

Signed-off-by: Mike Snitzer <snitzer@redhat.com>

---
drivers/md/persistent-data/dm-block-manager.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

diff --git a/drivers/md/persistent-data/dm-block-manager.c b/drivers/md/persistent-data/dm-block-manager.c
index 5ba2777..47b683e 100644
--- a/drivers/md/persistent-data/dm-block-manager.c
+++ b/drivers/md/persistent-data/dm-block-manager.c
@@ -428,8 +428,11 @@ static int dm_bm_validate_buffer(struct dm_block_manager *bm,
 		if (!v)
 			return 0;
 		r = v->check(v, (struct dm_block *) buf, dm_bufio_get_block_size(bm->bufio));
-		if (unlikely(r))
+		if (unlikely(r)) {
+			DMERR("%s validator check failed for block %llu", v->name,
+			      (unsigned long long) dm_bufio_get_block_number(buf));
 			return r;
+		}
 		aux->validator = v;
 	} else {
 		if (unlikely(aux->validator != v)) {
